Coreseek 编译报错 “ExprEval” was not declared 解决方法

本文使用系统Ubuntu 15 , 安装Coreseek时出现ExprEval变量不存在的问题。寻找很久的解决办法,最后通过打补丁的方法来解决,现在跟大家分享一下。

命令详情:

:~$ unzip sphinxexpr.cpp_.patch_.zip
    //Archive:  sphinxexpr.cpp_.patch_.zip
     //inflating: sphinxexpr.cpp-csft-3.2.13.patch   ## 这个针对 coreseek-3.2.13/3.2.14
     //inflating: sphinxexpr.cpp-csft-4.1-beta.patch ## 这个针对 coreseek-4.1
:~$ mv sphinxexpr.cpp-csft-3.2.13.patch /home/download/coreseek/src/
:~$ patch -p1 < sphinxexpr.cpp-csft-3.2.13.patch
    #提示 File to patch: 输入你需要打补丁的文件的全路径 如:/home/download/coreseek/src/sphinxexpr.cpp

完成以上步骤后执行:make cleanmakemake install

Coreseek 补丁文件:
链接: http://pan.baidu.com/s/1eRieRsQ 密码: zjmb

发表评论

电子邮件地址不会被公开。 必填项已用*标注